<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/modulo.php';
  $redirect = 'modulo_list.php';
  $modulo = modulo_create();
  if (isset($_POST['modulo'])) {
    $modulo = array_replace_recursive($modulo, $_POST['modulo']);
  }
  if (isset($_POST['btn-insert'])) {
    $ok = modulo_insert($modulo);
    if (!$ok) {
      $redirect = 'modulo-insert.php';
    }
  } else if (isset($_POST['btn-update'])) {
    $ok = modulo_update($modulo);
    if (!$ok) {
      $redirect = 'modulo-update.php';
    }
  } else if (isset($_POST['btn-delete'])) {
    $ok = modulo_delete($modulo);
    if (!$ok) {
      $redirect = 'modulo-delete.php';
    }
  }

  header("Location:$redirect");
  exit;
}
